<template>
  <el-card class="box-card">
    <div slot="header" class="clearfix">
      <strong>{{ $t('label.count-user') }}</strong>
    </div>
    <el-row :gutter="20">
      <el-col v-for="(item, index) in dataUserRw" :key="index" :xs="24" :sm="12" :md="8" :lg="6">
        <div class="grid-content card-panel-col">
          <el-row type="flex" class="row-bg">
            <el-col :span="5">
              <el-button class="icon-rw" icon="el-icon-user-solid" circle type="text" />
            </el-col>
            <el-col :span="19" justify="center">
              <div class="widget-rw-title">
                {{ item.label }}
              </div>
            </el-col>
          </el-row>
          <el-row type="flex" class="row-bg">
            <div class="widget-rw-num">
              <count-to :start-val="0" :end-val="item.count" :duration="duration" />
            </div>
          </el-row>
        </div>
      </el-col>
    </el-row>
  </el-card>
</template>

<script>
import CountTo from 'vue-count-to'
import { totalUser } from '@/api/staff'
import { RolesUser } from '@/utils/constantVariable'

export default {
  name: 'UserStatistics',
  components: {
    CountTo
  },
  data() {
    return {
      RolesUser,
      duration: 2600,
      dataUserRw: [
        {
          label: this.$t('label.widget-rw-total'),
          count: 0
        },
        {
          label: this.$t('label.widget-rw-verified'),
          count: 0
        },
        {
          label: this.$t('label.widget-rw-unverified'),
          count: 0
        },
        {
          label: this.$t('label.widget-rw-inactive'),
          count: 0
        }
      ]
    }
  },
  created() {
    this.getTotalUser()
  },
  methods: {
    async getTotalUser() {
      const statistics = await totalUser()
      const { items } = statistics.data || []
      const statisticsRW = items.find(item => item.level === RolesUser.STAFFRW) || {}
      this.dataUserRw[0].count = statisticsRW?.value || 0
      this.dataUserRw[1].count = statisticsRW?.verified || 0
      this.dataUserRw[2].count = statisticsRW?.not_verified || 0
      this.dataUserRw[3].count = statisticsRW?.pending || 0
    }
  }
}
</script>

<style scoped>
.box-card {
  margin-bottom: 24px;
}
.card-panel-col{
  margin-bottom: 8px;
  padding: 15px 10px 10px 10px;
  background: #FFF;
  border: 0.5px solid #e1e1e1;
  border-radius: 5px;
  height: 115px;
}
.icon-rw {
  background: #E6F6EC;
  color: #008444;
  cursor: auto;
  margin-left: 10px;
}
.widget-rw-title {
  height: 100%;
  font-size: 14px;
  font-weight: bold;
  margin-left: 5px;
  display: flex;
  align-items: center;
}
.widget-rw-num {
  font-size: 1.8rem;
  font-weight: bold;
  margin: 10px;
}
</style>
